import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

import ElementUI from 'element-ui';
import "./style/base.css";
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(ElementUI);



import { Message   } from 'element-ui'
Vue.prototype.$message = Message
Vue.component(Message.name, Message)//解决默认弹出Message 提示框
Vue.prototype.$store = store;//
// Vue.prototype.$router = router;//




router.beforeEach((to, from, next) => {
	console.info("to",to);//即将要进入的目标 路由对象 to对象下面的属性
	console.info("from",from);//当前导航正要离开的路由
	//next 一定要调用该方法来 resolve 这个钩子。 调用方法：next(参数或者空) ***必须调用
    if (to.path== "/" || to.path=="/Luckdraw" ||  to.path=="/Home" ||  to.path=="/About") {//如果即将要进去的页面是需要鉴权的
		//&& from.path
        //判断该路由是否需要登录权限
		
        if (localStorage.isauthorize=="1") {//已鉴权过了有记录 让用户进去
            //通过封装好的cookies读取token，如果存在，name接下一步如果不存在，那跳转回登录页
            next()//不要在next里面加"path:/",会陷入死循环
        }else {//没有鉴权过 不能要去鉴权页面
            next({
                path: '/Authorize',
                query: {redirect: "1"}//将跳转的路由path作为参数，登录成功后跳转到该路由
            })
        }
    }
    else {
        next()
    }
})



Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
